Subject: bug#19170: 25.0.50; enhancement request: `compare-windows' use across frames

From: Drew Adams <[email-masked]>
Date: Wed, 26 Nov 2014 19:18:39 -0800 (PST)

> > Some things that I think are missing, or that might be helpful:
> >
> > 1. Maybe echo some indication of which two windows are compared
> > (?).
> 
> Currently `compare-windows' displays in the echo area "Mark set"
> which is mostly useless.  We could overwrite it with more specific
> messages, e.g.
> 
>   Next difference between window1 and window2
>   Next match between window1 and window2
>   No more matching points between window1 and window2

Please do.

And maybe print the point values too, unless they're the same buffer?

Different, A: 2349, B: 1358
Same: A: 2349, B: 1358
No match

Dunno what the names might be.  They could be the buffer names
(possibly truncated, if long), if different.

> > I'm thinking that having that last-selected window recorded
> > always might be a good thing, useful for more than just
> > `compare-windows'.  (And perhaps (?) the NORECORD arg of
> > `select-window' should control updating of `last-window-selected'
> > also.  Dunno.)
> >
> > What do you think?  Does this make sense?
> 
> We already have a lot of `last-...' variables, so a new variable
> for the last selected window makes sense.  Then it would be
> convenient to compare `(selected-window)' with `last-selected-
> window'.

Please do.  I'm sure that whatever you come up with will be good.

IMO, this will make the command much more useful.  I've been
using it for decades, but never gave much thought to trying
to improve it.  It is a very useful command.